Summary: The Python Imaging Library
Name: PIL
Version: 1.1.7
Release: 10.1%{?dist}
License: BSD
Group: Development/Libraries
URL: http://www.pythonware.com/products/pil/index.htm
Source0: http://effbot.org/downloads/Imaging-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-devel
BuildRequires: libjpeg-devel, zlib-devel, freetype-devel >= 2
%{!?_without_tkinter:BuildRequires: tkinter, tk-devel >= 8.4, tcl-devel >= 8.4}
Requires: %{python_libdir}
# Compatibility hooks
Provides: python-imaging
Provides: python-imaging-devel
Provides: python-imaging-sane
Provides: python-imaging-tk
Obsoletes: python-imaging
Obsoletes: python-imaging-devel
Obsoletes: python-imaging-sane
Obsoletes: python-imaging-tk

%description
The Python Imaging Library (PIL) adds image processing capabilities to
your Python interpreter. This library supports many file formats, and
provides powerful image processing and graphics capabilities.

%prep
%setup -q -n Imaging-%{version}
perl -pi -e's,/usr/lib,%{_libdir},' setup.py
echo "#! %{_bindir}/python" > Scripts/pilfont.py.new
cat Scripts/pilfont.py >> Scripts/pilfont.py.new
cat Scripts/pilfont.py.new > Scripts/pilfont.py
rm -f Scripts/pilfont.py.new

%package devel
Summary: Development files for PIL
Group: Development/Libraries
Requires: %{name} = %{evr}
BuildRequires: python-devel
Requires: libjpeg-devel, zlib-devel, freetype-devel >= 2
%{!?_without_tkinter:Requires: tkinter, tk-devel >= 8.4, tcl-devel >= 8.4}
# Compatibility hooks
Provides: python-imaging-devel = %{evr}
Obsoletes: python-imaging-devel < %{evr}

%description devel
Development files for PIL.

%build
CFLAGS="%{optflags}"; export CFLAGS
#python setup.py build_ext -i
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_includedir}/libImaging
cp -a libImaging/*.h %{buildroot}%{_includedir}/libImaging

%check
export PYTHONPATH=%{buildroot}%{python_libdir}/PIL 
python selftest.py

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES
%{python_libdir}/PIL
%{python_libdir}/PIL.pth
%{_bindir}/pilconvert.py
%{_bindir}/pildriver.py
%{_bindir}/pilfile.py
%{_bindir}/pilfont.py
%{_bindir}/pilprint.py

%files devel
%defattr(-,root,root,-)
%{_includedir}/libImaging

%changelog
* Sun Jan 31 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.7-10
- Update to 1.1.7.

* Wed Dec 03 2008 Paulo Roma <roma@lcg.ufrj.br> - 1.1.6-9
- Changed %%check (using export).

* Wed Feb  7 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.6-8
- Upgrade to 1.1.6.

* Mon Jul 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.5.

* Tue Nov  4 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
